Bug 23008 - много зависимостей при установке
: много зависимостей при установке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-imaging)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-22 11:58 by
Modified: 2010-08-02 15:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-02-22 11:58:11
При установке модуля устанавливается и почти весь qt4 с дальнейшими
зависимостями.
В случае когда модуль используется например веб-сервером для обработки картинок
пакеты:

libGL libdrm libqt4-assistant libqt4-clucene libqt4-core libqt4-dbus
libqt4-designer libqt4-gui libqt4-help libqt4-multimedia libqt4-network
libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-svg
libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns qt4-common

совершенно лишние в системе.

может имеет смысл вынести файлик ImageQt.py в отдельный пакет?
------- Comment #1 From 2010-02-22 14:50:34 -------
Я давно настаиваю, что крупные питоньи пакеты нужно мелко нашинковать, чтобы не
возникало вот таких баг-репортов, весьма справедливых, замечу.

http://www.altlinux.org/Python/Refactoring
------- Comment #2 From 2010-08-02 15:02:17 -------
python-module-imaging-1.1.7-alt1 -> sisyphus:

* Mon Aug 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux> 1.1.7-alt1
- Version 1.1.7
- Moved PIL/ImageQt.py into separate package (ALT #23008)